Unable to remove first auth method via institution edit

Bug #1595364 reported by Robert Lyon on 2016-06-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Robert Lyon
15.10
Medium
Unassigned
16.04
Medium
Unassigned
16.10
Medium
Robert Lyon

Bug Description

There is a bug in the code that stops one from removing the first option from auth methods for an institution

This is due to the way we are using jQuery.remove()

Get the console error:

TypeError: elem is null
while ((child = elem.firstChild)) {

Due to: instances.remove(i)

when i = 1 or above it removes the row relating to the count before rebuilding the rows but when i = 0 it removes all the rows and so nothing to rebuild

Will fix this up so it actually removes the row relating to the id

Changed in mahara:
milestone: none → 16.10.0

Reviewed: https://reviews.mahara.org/6612
Committed: https://git.mahara.org/mahara/mahara/commit/bcfc376633246f4b0c29b5c6b1acca493ee51f04
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit bcfc376633246f4b0c29b5c6b1acca493ee51f04
Author: Robert Lyon <email address hidden>
Date: Thu Jun 23 13:41:09 2016 +1200

Bug 1595364: removing the correct row in js

Rather than relying on loop

Change-Id: I4ff09cdd056cedb927a26fa6c0ba33ccb83d5ebc
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/6823

Reviewed: https://reviews.mahara.org/6822
Committed: https://git.mahara.org/mahara/mahara/commit/0b3bb84830e574caf7e8e0ea2e85e6acee8eabf7
Submitter: Aaron Wells (<email address hidden>)
Branch: 16.04_STABLE

commit 0b3bb84830e574caf7e8e0ea2e85e6acee8eabf7
Author: Robert Lyon <email address hidden>
Date: Thu Jun 23 13:41:09 2016 +1200

Bug 1595364: removing the correct row in js

Rather than relying on loop

Change-Id: I4ff09cdd056cedb927a26fa6c0ba33ccb83d5ebc
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit bcfc376633246f4b0c29b5c6b1acca493ee51f04)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6823
Committed: https://git.mahara.org/mahara/mahara/commit/5f4bcab33ed02896d656e1ddc566a0cb200ff883
Submitter: Aaron Wells (<email address hidden>)
Branch: 15.10_STABLE

commit 5f4bcab33ed02896d656e1ddc566a0cb200ff883
Author: Robert Lyon <email address hidden>
Date: Thu Jun 23 13:41:09 2016 +1200

Bug 1595364: removing the correct row in js

Rather than relying on loop

Change-Id: I4ff09cdd056cedb927a26fa6c0ba33ccb83d5ebc
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit bcfc376633246f4b0c29b5c6b1acca493ee51f04)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
Robert Lyon (robertl-9) on 2016-10-25
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers